Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.nodetype
Interface NodeDefinitionTemplate

All Superinterfaces:
  ItemDefinition, NodeDefinition, NodeDefinitionTemplate

    @NotThreadSafe
    public interface NodeDefinitionTemplate

extends NodeDefinitionTemplate

A template that can be used to create new child node definitions, patterned after the approach in the proposed JSR-283. This interface extends the standard `NodeTypeDefinition` interface and adds setter methods for the various attributes.

See Also:
  `NodeTypeTemplate.getNodeDefinitionTemplates()`

Method Summary
`void` | `setDefaultPrimaryType(String defaultPrimaryType)` Deprecated. As of ModeShape 2.0, use `NodeDefinitionTemplate.setDefaultPrimaryTypeName(String)` instead
`void` | `setRequiredPrimaryTypes(String[] requiredPrimaryTypes)` Deprecated. As of ModeShape 2.0, use `NodeDefinitionTemplate.setRequiredPrimaryTypeNames(String[])` instead

Methods inherited from interface javax.jcr.nodetype.NodeDefinitionTemplate
`setAutoCreated, setDefaultPrimaryTypeName, setMandatory, setName, setOnParentVersion, setProtected, setRequiredPrimaryTypeNames, setSameNameSiblings`

Methods inherited from interface javax.jcr.nodetype.NodeDefinition
`allowsSameNameSiblings, getDefaultPrimaryType, getDefaultPrimaryTypeName, getRequiredPrimaryTypeNames, getRequiredPrimaryTypes`

Methods inherited from interface javax.jcr.nodetype.ItemDefinition
`getDeclaringNodeType, getName, getOnParentVersion, isAutoCreated, isMandatory, isProtected`

Method Detail

### setRequiredPrimaryTypes

    @Deprecated
    void setRequiredPrimaryTypes(String[] requiredPrimaryTypes)
                                 throws ConstraintViolationException

  Deprecated. As of ModeShape 2.0, use `NodeDefinitionTemplate.setRequiredPrimaryTypeNames(String[])` instead

  Set the names of the primary types that must appear on the child(ren) described by this definition

  Parameters:
    `requiredPrimaryTypes` - the names of the required primary types, or null or empty if there are no requirements for the primary types of the children described by this definition
  Throws:
    `ConstraintViolationException` - if any of the `requiredPrimaryTypes` are not a syntactically valid JCR name in either qualified or expanded form.

### setDefaultPrimaryType

    @Deprecated
    void setDefaultPrimaryType(String defaultPrimaryType)
                               throws ConstraintViolationException

  Deprecated. As of ModeShape 2.0, use `NodeDefinitionTemplate.setDefaultPrimaryTypeName(String)` instead

  Set the name of the primary type that should be used by default when creating children using this node definition.

  Parameters:
    `defaultPrimaryType` - the name of the primary type that should be used by default, or null if there is none
  Throws:
    `ConstraintViolationException` - if `defaultPrimaryType` is not a syntactically valid JCR name in either qualified or expanded form.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.